## ros-eloquent-plansys2-terminal 0.0.17

=== CMakeLists.txt ===
project(plansys2_terminal)

cmake_minimum_required(VERSION 3.5)

find_package(Threads REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(plansys2_domain_expert REQUIRED)
find_package(plansys2_problem_expert REQUIRED)
find_package(plansys2_planner REQUIRED)
find_package(plansys2_executor REQUIRED)

set(dependencies
    rclcpp
    rclcpp_action
    rclcpp_lifecycle
    ament_index_cpp
    plansys2_msgs
    plansys2_domain_expert
    plansys2_problem_expert
    plansys2_planner
    plansys2_executor
)

add_executable(${PROJECT_NAME}
  src/terminal_node.cpp)
ament_target_dependencies(${PROJECT_NAME} ${dependencies})
target_link_libraries(${PROJECT_NAME} readline)

install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-eloquent-plansys2-terminal (0.0.17-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.16-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.15-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 09 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.14-1bionic) bionic; urgency=high

  * Merge pull request #26 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/26> from mjcarroll/reduce_deps
    [Eloquent] Reduce unnecessary dependencies
  * Remove CMAKE_BUILD_TYPE
  * Contributors: Francisco Martín Rico, Michael Carroll

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.13-1bionic) bionic; urgency=high

  * Add Threads to cmake. RELEASE build type
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 05 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.12-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 26 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.11-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 25 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.10-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 19 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.9-1bionic) bionic; urgency=high

  * Fix Boost dependency
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 06 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.8-1bionic) bionic; urgency=high

  * Boost:optional
  * Add BT support
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 26 Jun 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.7-1bionic) bionic; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Fix spaces in command line
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 26 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.6-1bionic) bionic; urgency=high

  * Terminal completion functionality
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add multi domain
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 23 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.5-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.4-1bionic) bionic; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.3-1bionic) bionic; urgency=high

  * Add readline dependency
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-terminal (0.0.2-1bionic) bionic; urgency=high

  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Improved stdin read
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First functional version complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Execute actions independiently. Example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Executor initial version
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of planner complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Update notification in problem
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Problem expert complete with terminal support
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Problem expert client and node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Domain types and messages changed
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Predicate Tree and types changed
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Planning terminal and domain clients
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-plansys2-terminal
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, libreadline-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-index-cpp, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-plansys2-domain-expert, ros-eloquent-plansys2-executor, ros-eloquent-plansys2-msgs, ros-eloquent-plansys2-planner, ros-eloquent-plansys2-problem-expert, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-plansys2-terminal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libreadline-dev, ros-eloquent-ament-index-cpp, ros-eloquent-plansys2-domain-expert, ros-eloquent-plansys2-executor, ros-eloquent-plansys2-msgs, ros-eloquent-plansys2-planner, ros-eloquent-plansys2-problem-expert, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Description: A terminal tool for monitor and manage the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-plansys2-terminal//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
